source [file join [file dirname [info script]] ./../../../ip/agilex5_hps_f2h_simulation/agilex5_hps_f2h_simulation_intel_agilex_5_soc_0/sim/common/modelsim_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/agilex5_hps_f2h_simulation/agilex5_hps_f2h_simulation_mgc_axi4_master_0/sim/common/modelsim_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/agilex5_hps_f2h_simulation/agilex5_hps_f2h_simulation_clock_in/sim/common/modelsim_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/agilex5_hps_f2h_simulation/agilex5_hps_f2h_simulation_reset_in/sim/common/modelsim_files.tcl]

namespace eval agilex5_hps_f2h_simulation {
  proc get_design_libraries {} {
    set libraries [dict create]
    set libraries [dict merge $libraries [agilex5_hps_f2h_simulation_intel_agilex_5_soc_0::get_design_libraries]]
    set libraries [dict merge $libraries [agilex5_hps_f2h_simulation_mgc_axi4_master_0::get_design_libraries]]
    set libraries [dict merge $libraries [agilex5_hps_f2h_simulation_clock_in::get_design_libraries]]
    set libraries [dict merge $libraries [agilex5_hps_f2h_simulation_reset_in::get_design_libraries]]
    dict set libraries altera_merlin_axi_translator_1931    1
    dict set libraries altera_merlin_axi_master_ni_1962     1
    dict set libraries altera_avalon_sc_fifo_1931           1
    dict set libraries altera_merlin_axi_slave_ni_1971      1
    dict set libraries altera_avalon_st_pipeline_stage_1930 1
    dict set libraries altera_merlin_router_1921            1
    dict set libraries altera_merlin_demultiplexer_1921     1
    dict set libraries altera_merlin_multiplexer_1922       1
    dict set libraries altera_merlin_width_adapter_1933     1
    dict set libraries altera_mm_interconnect_1920          1
    dict set libraries altera_reset_controller_1922         1
    dict set libraries agilex5_hps_f2h_simulation           1
    return $libraries
  }
  
  proc get_memory_files {QSYS_SIMDIR} {
    set memory_files [list]
    set memory_files [concat $memory_files [agilex5_hps_f2h_simulation_intel_agilex_5_soc_0::get_memory_files "$QSYS_SIMDIR/../../ip/agilex5_hps_f2h_simulation/agilex5_hps_f2h_simulation_intel_agilex_5_soc_0/sim/"]]
    set memory_files [concat $memory_files [agilex5_hps_f2h_simulation_mgc_axi4_master_0::get_memory_files "$QSYS_SIMDIR/../../ip/agilex5_hps_f2h_simulation/agilex5_hps_f2h_simulation_mgc_axi4_master_0/sim/"]]
    set memory_files [concat $memory_files [agilex5_hps_f2h_simulation_clock_in::get_memory_files "$QSYS_SIMDIR/../../ip/agilex5_hps_f2h_simulation/agilex5_hps_f2h_simulation_clock_in/sim/"]]
    set memory_files [concat $memory_files [agilex5_hps_f2h_simulation_reset_in::get_memory_files "$QSYS_SIMDIR/../../ip/agilex5_hps_f2h_simulation/agilex5_hps_f2h_simulation_reset_in/sim/"]]
    return $memory_files
  }
  
  proc get_common_design_files {USER_DEFINED_COMPILE_OPTIONS USER_DEFINED_VERILOG_COMPILE_OPTIONS USER_DEFINED_VHDL_COMPILE_OPTIONS QSYS_SIMDIR} {
    set design_files [dict create]
    set design_files [dict merge $design_files [agilex5_hps_f2h_simulation_intel_agilex_5_soc_0::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/agilex5_hps_f2h_simulation/agilex5_hps_f2h_simulation_intel_agilex_5_soc_0/sim/"]]
    set design_files [dict merge $design_files [agilex5_hps_f2h_simulation_mgc_axi4_master_0::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/agilex5_hps_f2h_simulation/agilex5_hps_f2h_simulation_mgc_axi4_master_0/sim/"]]
    set design_files [dict merge $design_files [agilex5_hps_f2h_simulation_clock_in::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/agilex5_hps_f2h_simulation/agilex5_hps_f2h_simulation_clock_in/sim/"]]
    set design_files [dict merge $design_files [agilex5_hps_f2h_simulation_reset_in::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/agilex5_hps_f2h_simulation/agilex5_hps_f2h_simulation_reset_in/sim/"]]
    return $design_files
  }
  
  proc get_design_files {USER_DEFINED_COMPILE_OPTIONS USER_DEFINED_VERILOG_COMPILE_OPTIONS USER_DEFINED_VHDL_COMPILE_OPTIONS QSYS_SIMDIR} {
    set design_files [list]
    set design_files [concat $design_files [agilex5_hps_f2h_simulation_intel_agilex_5_soc_0::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/agilex5_hps_f2h_simulation/agilex5_hps_f2h_simulation_intel_agilex_5_soc_0/sim/"]]
    set design_files [concat $design_files [agilex5_hps_f2h_simulation_mgc_axi4_master_0::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/agilex5_hps_f2h_simulation/agilex5_hps_f2h_simulation_mgc_axi4_master_0/sim/"]]
    set design_files [concat $design_files [agilex5_hps_f2h_simulation_clock_in::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/agilex5_hps_f2h_simulation/agilex5_hps_f2h_simulation_clock_in/sim/"]]
    set design_files [concat $design_files [agilex5_hps_f2h_simulation_reset_in::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/agilex5_hps_f2h_simulation/agilex5_hps_f2h_simulation_reset_in/sim/"]]
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_axi_translator_1931/sim/agilex5_hps_f2h_simulation_altera_merlin_axi_translator_1931_d46vvwa.sv"]\"  -work altera_merlin_axi_translator_1931"                     
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_axi_master_ni_1962/sim/altera_merlin_address_alignment.sv"]\"  -work altera_merlin_axi_master_ni_1962"                                                            
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_axi_master_ni_1962/sim/agilex5_hps_f2h_simulation_altera_merlin_axi_master_ni_1962_2kryw2a.sv"]\"  -work altera_merlin_axi_master_ni_1962"                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_avalon_sc_fifo_1931/sim/agilex5_hps_f2h_simulation_altera_avalon_sc_fifo_1931_vhmcgqy.v"]\"  -work altera_avalon_sc_fifo_1931"                                               
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_axi_slave_ni_1971/sim/agilex5_hps_f2h_simulation_altera_merlin_axi_slave_ni_altera_avalon_sc_fifo_1971_43x2ibi.v"]\"  -work altera_merlin_axi_slave_ni_1971"          
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_avalon_st_pipeline_stage_1930/sim/agilex5_hps_f2h_simulation_altera_avalon_st_pipeline_stage_1930_bv2ucky.sv"]\"  -work altera_avalon_st_pipeline_stage_1930"            
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_avalon_st_pipeline_stage_1930/sim/altera_avalon_st_pipeline_base.v"]\"  -work altera_avalon_st_pipeline_stage_1930"                                                      
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_axi_slave_ni_1971/sim/agilex5_hps_f2h_simulation_altera_merlin_axi_slave_ni_altera_avalon_st_pipeline_stage_1971_4pkj5ji.v"]\"  -work altera_merlin_axi_slave_ni_1971"
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_axi_slave_ni_1971/sim/agilex5_hps_f2h_simulation_altera_merlin_axi_slave_ni_altera_avalon_st_pipeline_stage_1971_qk7powi.v"]\"  -work altera_merlin_axi_slave_ni_1971"
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_axi_slave_ni_1971/sim/agilex5_hps_f2h_simulation_altera_merlin_axi_slave_ni_altera_avalon_st_pipeline_stage_1971_xnctrcy.v"]\"  -work altera_merlin_axi_slave_ni_1971"
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_axi_slave_ni_1971/sim/altera_merlin_burst_uncompressor.sv"]\"  -work altera_merlin_axi_slave_ni_1971"                                                             
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_axi_slave_ni_1971/sim/altera_merlin_address_alignment.sv"]\"  -work altera_merlin_axi_slave_ni_1971"                                                              
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_axi_slave_ni_1971/sim/compare_eq.sv"]\"  -work altera_merlin_axi_slave_ni_1971"                                                                                   
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_axi_slave_ni_1971/sim/rd_response_mem_2nj54fi.sv"]\"  -work altera_merlin_axi_slave_ni_1971"                                                                      
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_axi_slave_ni_1971/sim/rd_comp_sel_2nj54fi.sv"]\"  -work altera_merlin_axi_slave_ni_1971"                                                                          
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_axi_slave_ni_1971/sim/rd_pri_mux_2nj54fi.sv"]\"  -work altera_merlin_axi_slave_ni_1971"                                                                           
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_axi_slave_ni_1971/sim/rd_sipo_plus_2nj54fi.sv"]\"  -work altera_merlin_axi_slave_ni_1971"                                                                         
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_axi_slave_ni_1971/sim/wr_response_mem_2nj54fi.sv"]\"  -work altera_merlin_axi_slave_ni_1971"                                                                      
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_axi_slave_ni_1971/sim/wr_comp_sel_2nj54fi.sv"]\"  -work altera_merlin_axi_slave_ni_1971"                                                                          
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_axi_slave_ni_1971/sim/wr_pri_mux_2nj54fi.sv"]\"  -work altera_merlin_axi_slave_ni_1971"                                                                           
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_axi_slave_ni_1971/sim/wr_sipo_plus_2nj54fi.sv"]\"  -work altera_merlin_axi_slave_ni_1971"                                                                         
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_axi_slave_ni_1971/sim/agilex5_hps_f2h_simulation_altera_merlin_axi_slave_ni_1971_2nj54fi.sv"]\"  -work altera_merlin_axi_slave_ni_1971"                           
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_router_1921/sim/agilex5_hps_f2h_simulation_altera_merlin_router_1921_u5eqatq.sv"]\"  -work altera_merlin_router_1921"                                             
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_router_1921/sim/agilex5_hps_f2h_simulation_altera_merlin_router_1921_r67w7vq.sv"]\"  -work altera_merlin_router_1921"                                             
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_router_1921/sim/agilex5_hps_f2h_simulation_altera_merlin_router_1921_cbr4odq.sv"]\"  -work altera_merlin_router_1921"                                             
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_router_1921/sim/agilex5_hps_f2h_simulation_altera_merlin_router_1921_4mjhoai.sv"]\"  -work altera_merlin_router_1921"                                             
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_demultiplexer_1921/sim/agilex5_hps_f2h_simulation_altera_merlin_demultiplexer_1921_awswxoa.sv"]\"  -work altera_merlin_demultiplexer_1921"                        
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_1922/sim/agilex5_hps_f2h_simulation_altera_merlin_multiplexer_1922_cl4zxda.sv"]\"  -work altera_merlin_multiplexer_1922"                              
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_1922/sim/altera_merlin_arbitrator.sv"]\"  -work altera_merlin_multiplexer_1922"                                                                       
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_1922/sim/agilex5_hps_f2h_simulation_altera_merlin_multiplexer_1922_mcdldqy.sv"]\"  -work altera_merlin_multiplexer_1922"                              
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_1922/sim/altera_merlin_arbitrator.sv"]\"  -work altera_merlin_multiplexer_1922"                                                                       
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_width_adapter_1933/sim/agilex5_hps_f2h_simulation_altera_merlin_width_adapter_1933_5ga7jty.sv"]\"  -work altera_merlin_width_adapter_1933"                        
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_width_adapter_1933/sim/altera_merlin_address_alignment.sv"]\"  -work altera_merlin_width_adapter_1933"                                                            
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_width_adapter_1933/sim/altera_merlin_burst_uncompressor.sv"]\"  -work altera_merlin_width_adapter_1933"                                                           
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_width_adapter_1933/sim/agilex5_hps_f2h_simulation_altera_merlin_width_adapter_1933_t3vedxa.sv"]\"  -work altera_merlin_width_adapter_1933"                        
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_width_adapter_1933/sim/altera_merlin_address_alignment.sv"]\"  -work altera_merlin_width_adapter_1933"                                                            
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_width_adapter_1933/sim/altera_merlin_burst_uncompressor.sv"]\"  -work altera_merlin_width_adapter_1933"                                                           
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_mm_interconnect_1920/sim/agilex5_hps_f2h_simulation_altera_mm_interconnect_1920_5np2igy.v"]\"  -work altera_mm_interconnect_1920"                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_reset_controller_1922/sim/altera_reset_controller.v"]\"  -work altera_reset_controller_1922"                                                                                 
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_reset_controller_1922/sim/altera_reset_synchronizer.v"]\"  -work altera_reset_controller_1922"                                                                               
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/agilex5_hps_f2h_simulation.v"]\"  -work agilex5_hps_f2h_simulation"                                                                                                                    
    return $design_files
  }
  
  proc get_elab_options {SIMULATOR_TOOL_BITNESS} {
    set ELAB_OPTIONS ""
    append ELAB_OPTIONS [agilex5_hps_f2h_simulation_intel_agilex_5_soc_0::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [agilex5_hps_f2h_simulation_mgc_axi4_master_0::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [agilex5_hps_f2h_simulation_clock_in::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [agilex5_hps_f2h_simulation_reset_in::get_elab_options $SIMULATOR_TOOL_BITNESS]
    if ![ string match "bit_64" $SIMULATOR_TOOL_BITNESS ] {
    } else {
    }
    return $ELAB_OPTIONS
  }
  
  
  proc get_sim_options {SIMULATOR_TOOL_BITNESS} {
    set SIM_OPTIONS ""
    append SIM_OPTIONS [agilex5_hps_f2h_simulation_intel_agilex_5_soc_0::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [agilex5_hps_f2h_simulation_mgc_axi4_master_0::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [agilex5_hps_f2h_simulation_clock_in::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [agilex5_hps_f2h_simulation_reset_in::get_sim_options $SIMULATOR_TOOL_BITNESS]
    if ![ string match "bit_64" $SIMULATOR_TOOL_BITNESS ] {
    } else {
    }
    return $SIM_OPTIONS
  }
  
  
  proc get_env_variables {SIMULATOR_TOOL_BITNESS} {
    set ENV_VARIABLES [dict create]
    set LD_LIBRARY_PATH [dict create]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [agilex5_hps_f2h_simulation_intel_agilex_5_soc_0::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [agilex5_hps_f2h_simulation_mgc_axi4_master_0::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [agilex5_hps_f2h_simulation_clock_in::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [agilex5_hps_f2h_simulation_reset_in::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    dict set ENV_VARIABLES "LD_LIBRARY_PATH" $LD_LIBRARY_PATH
    if ![ string match "bit_64" $SIMULATOR_TOOL_BITNESS ] {
    } else {
    }
    return $ENV_VARIABLES
  }
  
  
  proc normalize_path {FILEPATH} {
      if {[catch { package require fileutil } err]} { 
          return $FILEPATH 
      } 
      set path [fileutil::lexnormalize [file join [pwd] $FILEPATH]]  
      if {[file pathtype $FILEPATH] eq "relative"} { 
          set path [fileutil::relative [pwd] $path] 
      } 
      return $path 
  } 
  proc get_dpi_libraries {QSYS_SIMDIR} {
    set libraries [dict create]
    set libraries [dict merge $libraries [agilex5_hps_f2h_simulation_intel_agilex_5_soc_0::get_dpi_libraries "$QSYS_SIMDIR/../../ip/agilex5_hps_f2h_simulation/agilex5_hps_f2h_simulation_intel_agilex_5_soc_0/sim/"]]
    set libraries [dict merge $libraries [agilex5_hps_f2h_simulation_mgc_axi4_master_0::get_dpi_libraries "$QSYS_SIMDIR/../../ip/agilex5_hps_f2h_simulation/agilex5_hps_f2h_simulation_mgc_axi4_master_0/sim/"]]
    set libraries [dict merge $libraries [agilex5_hps_f2h_simulation_clock_in::get_dpi_libraries "$QSYS_SIMDIR/../../ip/agilex5_hps_f2h_simulation/agilex5_hps_f2h_simulation_clock_in/sim/"]]
    set libraries [dict merge $libraries [agilex5_hps_f2h_simulation_reset_in::get_dpi_libraries "$QSYS_SIMDIR/../../ip/agilex5_hps_f2h_simulation/agilex5_hps_f2h_simulation_reset_in/sim/"]]
    
    return $libraries
  }
  
}
