// sm_hps_sim_tb.v

// Generated using ACDS version 23.2 73

`timescale 1 ps / 1 ps
module sm_hps_sim_tb (
	);

	wire    sm_hps_sim_inst_clk_bfm_clk_clk;       // sm_hps_sim_inst_clk_bfm:clk -> [sm_hps_sim_inst:clk_clk, sm_hps_sim_inst_reset_bfm:clk]
	wire    sm_hps_sim_inst_reset_bfm_reset_reset; // sm_hps_sim_inst_reset_bfm:reset -> sm_hps_sim_inst:reset_reset

	sm_hps_sim_inst_clk_bfm_ip sm_hps_sim_inst_clk_bfm (
		.clk (sm_hps_sim_inst_clk_bfm_clk_clk)  //  output,  width = 1, clk.clk
	);

	sm_hps_sim_inst_reset_bfm_ip sm_hps_sim_inst_reset_bfm (
		.reset (sm_hps_sim_inst_reset_bfm_reset_reset), //  output,  width = 1, reset.reset
		.clk   (sm_hps_sim_inst_clk_bfm_clk_clk)        //   input,  width = 1,   clk.clk
	);

	sm_hps_sim sm_hps_sim_inst (
		.clk_clk     (sm_hps_sim_inst_clk_bfm_clk_clk),       //   input,  width = 1,   clk.clk
		.reset_reset (sm_hps_sim_inst_reset_bfm_reset_reset)  //   input,  width = 1, reset.reset
	);


			//------------------ Test program --------------
	  master_test_program #(
                .AXI4_ADDRESS_WIDTH (32),
        	.AXI4_RDATA_WIDTH   (32),
        	.AXI4_WDATA_WIDTH   (32),
        	.AXI4_ID_WIDTH      (4),
        	.AXI4_USER_WIDTH    (8),
        	.AXI4_REGION_MAP_SIZE(16))  u_master ();


endmodule
