
namespace eval agilex5_hps_h2f_simulation_intel_agilex_5_soc_0 {
  proc get_design_libraries {} {
    set libraries [dict create]
    dict set libraries intel_sundancemesa_hps_100                      1
    dict set libraries intel_sundancemesa_mpfe_100                     1
    dict set libraries intel_agilex_5_soc_200                          1
    dict set libraries agilex5_hps_h2f_simulation_intel_agilex_5_soc_0 1
    return $libraries
  }
  
  proc get_memory_files {QSYS_SIMDIR} {
    set memory_files [list]
    return $memory_files
  }
  
  proc get_common_design_files {USER_DEFINED_COMPILE_OPTIONS USER_DEFINED_VERILOG_COMPILE_OPTIONS USER_DEFINED_VHDL_COMPILE_OPTIONS QSYS_SIMDIR} {
    set design_files [dict create]
    return $design_files
  }
  
  proc get_design_files {USER_DEFINED_COMPILE_OPTIONS USER_DEFINED_VERILOG_COMPILE_OPTIONS USER_DEFINED_VHDL_COMPILE_OPTIONS QSYS_SIMDIR} {
    set design_files [list]
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_sundancemesa_hps_100/sim/agilex5_hps_h2f_simulation_intel_agilex_5_soc_0_intel_sundancemesa_hps_100_suojdsy.v"]\"  -work intel_sundancemesa_hps_100"   
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_sundancemesa_hps_100/sim/ready_latency/hps_axi4_ready_latency_adapter.sv"]\"  -work intel_sundancemesa_hps_100"                                    
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_sundancemesa_hps_100/sim/ready_latency/ready_latency_adapter.sv"]\"  -work intel_sundancemesa_hps_100"                                             
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_sundancemesa_hps_100/sim/ready_latency/ff_macro.sv"]\"  -work intel_sundancemesa_hps_100"                                                          
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_sundancemesa_hps_100/sim/ready_latency/scfifo_s.sv"]\"  -work intel_sundancemesa_hps_100"                                                          
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_sundancemesa_hps_100/sim/ready_latency/scfifo_s_showahead.sv"]\"  -work intel_sundancemesa_hps_100"                                                
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_sundancemesa_hps_100/sim/ready_latency/scfifo_s_normal.sv"]\"  -work intel_sundancemesa_hps_100"                                                   
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_sundancemesa_hps_100/sim/ready_latency/add_a_b_s0_s1.sv"]\"  -work intel_sundancemesa_hps_100"                                                     
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_sundancemesa_hps_100/sim/ready_latency/generic_mlab_sc.sv"]\"  -work intel_sundancemesa_hps_100"                                                   
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_sundancemesa_hps_100/sim/tennm_soc_hps.sv"]\"  -work intel_sundancemesa_hps_100"                                                                   
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_sundancemesa_hps_100/sim/questa_mvc_svapi.svh"]\"  -work intel_sundancemesa_hps_100"                                                               
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_sundancemesa_hps_100/sim/mgc_common_axi4.sv"]\"  -work intel_sundancemesa_hps_100"                                                                 
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_sundancemesa_hps_100/sim/mgc_axi4_master.sv"]\"  -work intel_sundancemesa_hps_100"                                                                 
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_sundancemesa_hps_100/sim/ready_latency/altr_hps_bitsync.sv"]\"  -work intel_sundancemesa_hps_100"                                                  
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_sundancemesa_hps_100/sim/ready_latency/ctech_lib_doublesync_rstb.sv"]\"  -work intel_sundancemesa_hps_100"                                         
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_sundancemesa_hps_100/sim/ready_latency/soc_async_bridge_lwsoc2fpga.sv"]\"  -work intel_sundancemesa_hps_100"                                       
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_sundancemesa_hps_100/sim/ready_latency/soc_async_bridge_soc2fpga.sv"]\"  -work intel_sundancemesa_hps_100"                                         
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_sundancemesa_hps_100/sim/ready_latency/soc_axi_channel_lwsoc2fpga.sv"]\"  -work intel_sundancemesa_hps_100"                                        
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_sundancemesa_hps_100/sim/ready_latency/soc_axi_channel_soc2fpga.sv"]\"  -work intel_sundancemesa_hps_100"                                          
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_sundancemesa_mpfe_100/sim/agilex5_hps_h2f_simulation_intel_agilex_5_soc_0_intel_sundancemesa_mpfe_100_tmhkpnq.v"]\"  -work intel_sundancemesa_mpfe_100"
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_sundancemesa_mpfe_100/sim/ready_latency/mpfe_ready_latency_adapter.sv"]\"  -work intel_sundancemesa_mpfe_100"                                      
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_sundancemesa_mpfe_100/sim/ready_latency/ready_latency_adapter.sv"]\"  -work intel_sundancemesa_mpfe_100"                                           
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_sundancemesa_mpfe_100/sim/ready_latency/ff_macro.sv"]\"  -work intel_sundancemesa_mpfe_100"                                                        
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_sundancemesa_mpfe_100/sim/ready_latency/scfifo_s.sv"]\"  -work intel_sundancemesa_mpfe_100"                                                        
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_sundancemesa_mpfe_100/sim/ready_latency/scfifo_s_showahead.sv"]\"  -work intel_sundancemesa_mpfe_100"                                              
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_sundancemesa_mpfe_100/sim/ready_latency/scfifo_s_normal.sv"]\"  -work intel_sundancemesa_mpfe_100"                                                 
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_sundancemesa_mpfe_100/sim/ready_latency/add_a_b_s0_s1.sv"]\"  -work intel_sundancemesa_mpfe_100"                                                   
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_sundancemesa_mpfe_100/sim/ready_latency/generic_mlab_sc.sv"]\"  -work intel_sundancemesa_mpfe_100"                                                 
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_sundancemesa_mpfe_100/sim/tennm_sm_soc_mpfe.sv"]\"  -work intel_sundancemesa_mpfe_100"                                                             
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_sundancemesa_mpfe_100/sim/questa_mvc_svapi.svh"]\"  -work intel_sundancemesa_mpfe_100"                                                             
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_sundancemesa_mpfe_100/sim/mgc_common_axi4.sv"]\"  -work intel_sundancemesa_mpfe_100"                                                               
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_sundancemesa_mpfe_100/sim/mgc_axi4_slave.sv"]\"  -work intel_sundancemesa_mpfe_100"                                                                
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_sundancemesa_mpfe_100/sim/ready_latency/soc_f2soc_skid_buffer.sv"]\"  -work intel_sundancemesa_mpfe_100"                                           
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_sundancemesa_mpfe_100/sim/ready_latency/soc_f2sdram_channel.sv"]\"  -work intel_sundancemesa_mpfe_100"                                             
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_sundancemesa_mpfe_100/sim/ready_latency/soc_f2sdram_bridges.sv"]\"  -work intel_sundancemesa_mpfe_100"                                             
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_sundancemesa_mpfe_100/sim/ready_latency/full_bridge_channel.sv"]\"  -work intel_sundancemesa_mpfe_100"                                             
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_sundancemesa_mpfe_100/sim/ready_latency/soc_f2soc_bridges.sv"]\"  -work intel_sundancemesa_mpfe_100"                                               
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_agilex_5_soc_200/sim/agilex5_hps_h2f_simulation_intel_agilex_5_soc_0_intel_agilex_5_soc_200_u4tqnca.v"]\"  -work intel_agilex_5_soc_200"               
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/agilex5_hps_h2f_simulation_intel_agilex_5_soc_0.v"]\"  -work agilex5_hps_h2f_simulation_intel_agilex_5_soc_0"                                                   
    return $design_files
  }
  
  proc get_elab_options {SIMULATOR_TOOL_BITNESS} {
    set ELAB_OPTIONS ""
    if ![ string match "bit_64" $SIMULATOR_TOOL_BITNESS ] {
    } else {
    }
    return $ELAB_OPTIONS
  }
  
  
  proc get_sim_options {SIMULATOR_TOOL_BITNESS} {
    set SIM_OPTIONS ""
    if ![ string match "bit_64" $SIMULATOR_TOOL_BITNESS ] {
    } else {
    }
    return $SIM_OPTIONS
  }
  
  
  proc get_env_variables {SIMULATOR_TOOL_BITNESS} {
    set ENV_VARIABLES [dict create]
    set LD_LIBRARY_PATH [dict create]
    dict set ENV_VARIABLES "LD_LIBRARY_PATH" $LD_LIBRARY_PATH
    if ![ string match "bit_64" $SIMULATOR_TOOL_BITNESS ] {
    } else {
    }
    return $ENV_VARIABLES
  }
  
  
  proc normalize_path {FILEPATH} {
      if {[catch { package require fileutil } err]} { 
          return $FILEPATH 
      } 
      set path [fileutil::lexnormalize [file join [pwd] $FILEPATH]]  
      if {[file pathtype $FILEPATH] eq "relative"} { 
          set path [fileutil::relative [pwd] $path] 
      } 
      return $path 
  } 
  proc get_dpi_libraries {QSYS_SIMDIR} {
    set libraries [dict create]
    
    return $libraries
  }
  
}
