source [file join [file dirname [info script]] ./../../../ip/agilex5_hps_lwh2f_simulation/agilex5_hps_lwh2f_simulation_intel_agilex_5_soc_0/sim/common/modelsim_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/agilex5_hps_lwh2f_simulation/agilex5_hps_lwh2f_simulation_reset_in/sim/common/modelsim_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/agilex5_hps_lwh2f_simulation/agilex5_hps_lwh2f_simulation_clock_in/sim/common/modelsim_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/agilex5_hps_lwh2f_simulation/agilex5_hps_lwh2f_simulation_intel_onchip_memory_0/sim/common/modelsim_files.tcl]

namespace eval agilex5_hps_lwh2f_simulation {
  proc get_design_libraries {} {
    set libraries [dict create]
    set libraries [dict merge $libraries [agilex5_hps_lwh2f_simulation_intel_agilex_5_soc_0::get_design_libraries]]
    set libraries [dict merge $libraries [agilex5_hps_lwh2f_simulation_reset_in::get_design_libraries]]
    set libraries [dict merge $libraries [agilex5_hps_lwh2f_simulation_clock_in::get_design_libraries]]
    set libraries [dict merge $libraries [agilex5_hps_lwh2f_simulation_intel_onchip_memory_0::get_design_libraries]]
    dict set libraries altera_merlin_axi_translator_1931 1
    dict set libraries altera_mm_interconnect_1920       1
    dict set libraries altera_reset_controller_1922      1
    dict set libraries agilex5_hps_lwh2f_simulation      1
    return $libraries
  }
  
  proc get_memory_files {QSYS_SIMDIR} {
    set memory_files [list]
    set memory_files [concat $memory_files [agilex5_hps_lwh2f_simulation_intel_agilex_5_soc_0::get_memory_files "$QSYS_SIMDIR/../../ip/agilex5_hps_lwh2f_simulation/agilex5_hps_lwh2f_simulation_intel_agilex_5_soc_0/sim/"]]
    set memory_files [concat $memory_files [agilex5_hps_lwh2f_simulation_reset_in::get_memory_files "$QSYS_SIMDIR/../../ip/agilex5_hps_lwh2f_simulation/agilex5_hps_lwh2f_simulation_reset_in/sim/"]]
    set memory_files [concat $memory_files [agilex5_hps_lwh2f_simulation_clock_in::get_memory_files "$QSYS_SIMDIR/../../ip/agilex5_hps_lwh2f_simulation/agilex5_hps_lwh2f_simulation_clock_in/sim/"]]
    set memory_files [concat $memory_files [agilex5_hps_lwh2f_simulation_intel_onchip_memory_0::get_memory_files "$QSYS_SIMDIR/../../ip/agilex5_hps_lwh2f_simulation/agilex5_hps_lwh2f_simulation_intel_onchip_memory_0/sim/"]]
    return $memory_files
  }
  
  proc get_common_design_files {USER_DEFINED_COMPILE_OPTIONS USER_DEFINED_VERILOG_COMPILE_OPTIONS USER_DEFINED_VHDL_COMPILE_OPTIONS QSYS_SIMDIR} {
    set design_files [dict create]
    set design_files [dict merge $design_files [agilex5_hps_lwh2f_simulation_intel_agilex_5_soc_0::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/agilex5_hps_lwh2f_simulation/agilex5_hps_lwh2f_simulation_intel_agilex_5_soc_0/sim/"]]
    set design_files [dict merge $design_files [agilex5_hps_lwh2f_simulation_reset_in::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/agilex5_hps_lwh2f_simulation/agilex5_hps_lwh2f_simulation_reset_in/sim/"]]
    set design_files [dict merge $design_files [agilex5_hps_lwh2f_simulation_clock_in::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/agilex5_hps_lwh2f_simulation/agilex5_hps_lwh2f_simulation_clock_in/sim/"]]
    set design_files [dict merge $design_files [agilex5_hps_lwh2f_simulation_intel_onchip_memory_0::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/agilex5_hps_lwh2f_simulation/agilex5_hps_lwh2f_simulation_intel_onchip_memory_0/sim/"]]
    return $design_files
  }
  
  proc get_design_files {USER_DEFINED_COMPILE_OPTIONS USER_DEFINED_VERILOG_COMPILE_OPTIONS USER_DEFINED_VHDL_COMPILE_OPTIONS QSYS_SIMDIR} {
    set design_files [list]
    set design_files [concat $design_files [agilex5_hps_lwh2f_simulation_intel_agilex_5_soc_0::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/agilex5_hps_lwh2f_simulation/agilex5_hps_lwh2f_simulation_intel_agilex_5_soc_0/sim/"]]
    set design_files [concat $design_files [agilex5_hps_lwh2f_simulation_reset_in::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/agilex5_hps_lwh2f_simulation/agilex5_hps_lwh2f_simulation_reset_in/sim/"]]
    set design_files [concat $design_files [agilex5_hps_lwh2f_simulation_clock_in::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/agilex5_hps_lwh2f_simulation/agilex5_hps_lwh2f_simulation_clock_in/sim/"]]
    set design_files [concat $design_files [agilex5_hps_lwh2f_simulation_intel_onchip_memory_0::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/agilex5_hps_lwh2f_simulation/agilex5_hps_lwh2f_simulation_intel_onchip_memory_0/sim/"]]
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_axi_translator_1931/sim/agilex5_hps_lwh2f_simulation_altera_merlin_axi_translator_1931_d46vvwa.sv"]\"  -work altera_merlin_axi_translator_1931"
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_mm_interconnect_1920/sim/agilex5_hps_lwh2f_simulation_altera_mm_interconnect_1920_iribw7y.v"]\"  -work altera_mm_interconnect_1920"                       
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_reset_controller_1922/sim/altera_reset_controller.v"]\"  -work altera_reset_controller_1922"                                                              
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_reset_controller_1922/sim/altera_reset_synchronizer.v"]\"  -work altera_reset_controller_1922"                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/agilex5_hps_lwh2f_simulation.v"]\"  -work agilex5_hps_lwh2f_simulation"                                                                                             
    return $design_files
  }
  
  proc get_elab_options {SIMULATOR_TOOL_BITNESS} {
    set ELAB_OPTIONS ""
    append ELAB_OPTIONS [agilex5_hps_lwh2f_simulation_intel_agilex_5_soc_0::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [agilex5_hps_lwh2f_simulation_reset_in::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [agilex5_hps_lwh2f_simulation_clock_in::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [agilex5_hps_lwh2f_simulation_intel_onchip_memory_0::get_elab_options $SIMULATOR_TOOL_BITNESS]
    if ![ string match "bit_64" $SIMULATOR_TOOL_BITNESS ] {
    } else {
    }
    return $ELAB_OPTIONS
  }
  
  
  proc get_sim_options {SIMULATOR_TOOL_BITNESS} {
    set SIM_OPTIONS ""
    append SIM_OPTIONS [agilex5_hps_lwh2f_simulation_intel_agilex_5_soc_0::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [agilex5_hps_lwh2f_simulation_reset_in::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [agilex5_hps_lwh2f_simulation_clock_in::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [agilex5_hps_lwh2f_simulation_intel_onchip_memory_0::get_sim_options $SIMULATOR_TOOL_BITNESS]
    if ![ string match "bit_64" $SIMULATOR_TOOL_BITNESS ] {
    } else {
    }
    return $SIM_OPTIONS
  }
  
  
  proc get_env_variables {SIMULATOR_TOOL_BITNESS} {
    set ENV_VARIABLES [dict create]
    set LD_LIBRARY_PATH [dict create]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [agilex5_hps_lwh2f_simulation_intel_agilex_5_soc_0::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [agilex5_hps_lwh2f_simulation_reset_in::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [agilex5_hps_lwh2f_simulation_clock_in::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [agilex5_hps_lwh2f_simulation_intel_onchip_memory_0::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    dict set ENV_VARIABLES "LD_LIBRARY_PATH" $LD_LIBRARY_PATH
    if ![ string match "bit_64" $SIMULATOR_TOOL_BITNESS ] {
    } else {
    }
    return $ENV_VARIABLES
  }
  
  
  proc normalize_path {FILEPATH} {
      if {[catch { package require fileutil } err]} { 
          return $FILEPATH 
      } 
      set path [fileutil::lexnormalize [file join [pwd] $FILEPATH]]  
      if {[file pathtype $FILEPATH] eq "relative"} { 
          set path [fileutil::relative [pwd] $path] 
      } 
      return $path 
  } 
  proc get_dpi_libraries {QSYS_SIMDIR} {
    set libraries [dict create]
    set libraries [dict merge $libraries [agilex5_hps_lwh2f_simulation_intel_agilex_5_soc_0::get_dpi_libraries "$QSYS_SIMDIR/../../ip/agilex5_hps_lwh2f_simulation/agilex5_hps_lwh2f_simulation_intel_agilex_5_soc_0/sim/"]]
    set libraries [dict merge $libraries [agilex5_hps_lwh2f_simulation_reset_in::get_dpi_libraries "$QSYS_SIMDIR/../../ip/agilex5_hps_lwh2f_simulation/agilex5_hps_lwh2f_simulation_reset_in/sim/"]]
    set libraries [dict merge $libraries [agilex5_hps_lwh2f_simulation_clock_in::get_dpi_libraries "$QSYS_SIMDIR/../../ip/agilex5_hps_lwh2f_simulation/agilex5_hps_lwh2f_simulation_clock_in/sim/"]]
    set libraries [dict merge $libraries [agilex5_hps_lwh2f_simulation_intel_onchip_memory_0::get_dpi_libraries "$QSYS_SIMDIR/../../ip/agilex5_hps_lwh2f_simulation/agilex5_hps_lwh2f_simulation_intel_onchip_memory_0/sim/"]]
    
    return $libraries
  }
  
}
